Login
This endpoint retrieves AccessToken using Username and Password.
HTTP Request
Section titled “HTTP Request”POST https://adelion.com/api/auth/login| Parameter | Type | Description | Requirement |
|---|---|---|---|
| Username | string | User’s email. | required |
| Password | string | User’s password. | required |
{ "Username": "[username]", "Password": "[password]"}Response
Section titled “Response”{ "UID": 1, "AccessToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJleHAiOjE2MDA5MjQ5NzQsImlzcyI6IlJUQi5NRSIsInVzZXJJZCI6IjEifQ.NAfquN1DOvNMILGbtVKAxaewGbMhls9qCkttd23tO3k", "ExpiresIn": 3600, "LogoLight": "/logos/adelion-black.svg", "LogoDark": "/logos/adelion-dark.svg", "LogoSmallLight": "/logos/adelion-logo-small-black.svg", "LogoSmallDark": "/logos/adelion-logo-small-dark.svg", "Status": "Ok"}Failure
Section titled “Failure”| Error Code | Meaning |
|---|---|
| 400 | Bad Request — You sent a body that isn’t JSON. |
| 406 | Not Acceptable — Some value(s) inside JSON are missing or malformed, or requested object is not found. |
| 500 | Internal Server Error — We had a problem with our server. Try again later. |